﻿using Infragistics.Controls.Editors.Primitives;
using Infragistics.Windows;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Windows.Threading;

namespace WpfApplication1
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
              ObservableCollection<string> _collection= new ObservableCollection<string>();
            for (int i = 0; i < 10; i++)
            {
                _collection.Add(string.Concat(i.ToString()," - The fox jumped over the high wall. This is a demo string !"));
            }

            DemoXamComboEditor.ItemsSource = _collection;
          
        }

        private void DemoXamComboEditor_SelectionChanged(object sender, Infragistics.Controls.Editors.SelectionChangedEventArgs e)
        {
            Dispatcher.BeginInvoke(new Action(() =>
            {
                SpecializedTextBox text = Utilities.GetDescendantFromType(DemoXamComboEditor, typeof(SpecializedTextBox), false) as SpecializedTextBox;
                text.SelectionStart = 0;                
                                                
            }), DispatcherPriority.Background);
        }
    }
}
